Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.util
Class NotImplementedYetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.squawk.util.NotImplementedYetException

    public class NotImplementedYetException

extends RuntimeException

Thrown to indicate that an attempt has been made to invoke code that is not yet complete. This is a utility class.

Constructor Summary
`NotImplementedYetException()` Constructs an `NotImplementedYetException` with no detail message.
`NotImplementedYetException(String s)` Constructs an `NotImplementedYetException` with the specified detail message.

Method Summary
`static void` | `mark()` Dont throw the exception, just stay as a marker.
`static void` | `throwNow()` Throw a new instance of a `NotImplementedYetException`.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotImplementedYetException

    public NotImplementedYetException()

  Constructs an `NotImplementedYetException` with no detail message.

### NotImplementedYetException

    public NotImplementedYetException(String s)

  Constructs an `NotImplementedYetException` with the specified detail message.

  Parameters:
    `s` - the detail message.

Method Detail

### throwNow

    public static void throwNow()

  Throw a new instance of a `NotImplementedYetException`. Helper method in order to get around fact that if we put an explicit throw in our code, any code that follows is normally indicated as unreachable. This way developer can provide some code even though it may not be complete.

### mark

    public static void mark()

  Dont throw the exception, just stay as a marker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"